﻿// An interface to represent a pre-configured action performed asynchronously
// on a block. Implements a Run() method that executes the action and provides an
// Enumerator to monitor when the action is complete.

using System.Collections.Generic;

namespace IngameScript
{
    partial class Program
    {
        public interface IBlockAction
        {
            bool Running { get; }
            IEnumerator<bool> Run();
        }
    }
}